NumberOfDocuments (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: NumberOfDocuments
Keywords: javax.print.attribute.standard.NumberOfDocuments class

Module java.desktop
Package javax.print.attribute.standard

# Class NumberOfDocuments

java.lang.Object
javax.print.attribute.IntegerSyntax
javax.print.attribute.standard.NumberOfDocuments

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `PrintJobAttribute`

    public final class NumberOfDocuments
    extends IntegerSyntax
    implements PrintJobAttribute

Class `NumberOfDocuments` is an integer valued printing attribute that indicates the number of individual docs the printer has accepted for this job, regardless of whether the docs' print data has reached the printer or not.

IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NumberOfDocuments​(int value)` | Construct a new number of documents attribute with the given integer value.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object object)` | Returns whether this number of documents attribute is equivalent to the passed in object.
  `Class<? extends Attribute>` | `getCategory()` | Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `String` | `getName()` | Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class javax.print.attribute.IntegerSyntax

  `getValue, hashCode, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberOfDocuments

    public NumberOfDocuments​(int value)
    Construct a new number of documents attribute with the given integer value.
    Parameters:
      `value` - Integer value
    Throws:
      `IllegalArgumentException` - if `value` is negative

- ## Method Details

  - ### equals

    public boolean equals​(Object object)
    Returns whether this number of documents attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `NumberOfDocuments`.
    3. This number of documents attribute's value and `object`'s value are equal.
    Overrides:
      `equals` in class `IntegerSyntax`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this number of documents attribute, `false` otherwise
    See Also:
      `Object.hashCode()`, `HashMap`

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `NumberOfDocuments`, the category is class `NumberOfDocuments` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `NumberOfDocuments`, the category name is `"number-of-documents"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name